commit: 8a814d49a165f26a9cac2a2ff895fef73a67280f
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 24 14:13:11 2025 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Jun 24 14:13:26 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8a814d49
www-servers/thin: add 2.0.1
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
www-servers/thin/Manifest | 1 +
www-servers/thin/thin-2.0.1.ebuild | 95 ++++++++++++++++++++++++++++++++++++++
2 files changed, 96 insertions(+)
diff --git a/www-servers/thin/Manifest b/www-servers/thin/Manifest
index 05b08d4080f3..7a5a45ea898b 100644
--- a/www-servers/thin/Manifest
+++ b/www-servers/thin/Manifest
@@ -1,2 +1,3 @@
DIST thin-1.8.2.tar.gz 181290 BLAKE2B
6c8d3be6dca6f9b9b549b863150de85efdd26700c27b28f1765e4d2212827d31f2aae9f586cfa485b62b3da3742c5205486c9c8fd5bd38ec32a2a896c5e0af93
SHA512
5f222b54a86156bc5c4b9623a225cd9a4e189f3d2744f8d11efc74e91167e201a554a191f19abb081a050a206f3b281bb7c627a3e72a5ba2b0a73e0e500dd0ed
DIST thin-2.0.0.tar.gz 182105 BLAKE2B
f608e1905756d73b78402b28ee696db4ce414c195f47f07cd9976796adfc2c0ca50632c6cce837ff1b00425bb107bda68ec79ea9bc840f38438157aafa5bdd54
SHA512
b38b71c6f6f69a1bd8804948519c59f45e5fc80d92b4242926d53a52e90a18809f7cba4f3e1edfa55258b727f6d85b3613dfa8939fb92d73212fd33312a527e8
+DIST thin-2.0.1.tar.gz 190197 BLAKE2B
3ce422b4e88f1635954363204b8b7fec77d8e63c7ed01b1932be200b27d8d01fe6374a5b0853d8e3c8bb093d81ebedc34f6d4a8bdaec75c921c3f320d393c407
SHA512
2a32c37116f8753fb29210b4c48b0179dc18d80c0328bfabfae5d3507790befc0d088bf898e49dd1c660598df956268b6d98ff694fe3f673bf9e929fd1c19596
diff --git a/www-servers/thin/thin-2.0.1.ebuild
b/www-servers/thin/thin-2.0.1.ebuild
new file mode 100644
index 000000000000..1d1aad614359
--- /dev/null
+++ b/www-servers/thin/thin-2.0.1.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A fast and very simple Ruby web server"
+HOMEPAGE="https://github.com/macournoyer/thin"
+SRC_URI="https://github.com/macournoyer/thin/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="|| ( GPL-2+ Ruby )"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE="doc test"
+
+DEPEND="dev-util/ragel"
+
+# The runtime dependencies are used at build-time as well since the
+# Rakefile loads thin!
+mydeps=">=dev-ruby/daemons-1.0.9
+ >=dev-ruby/rack-1.0.0:* <dev-ruby/rack-4:*
+ >=dev-ruby/eventmachine-1.0.4:0
+ virtual/ruby-ssl"
+
+ruby_add_rdepend "${mydeps}"
+ruby_add_bdepend "${mydeps}
+ dev-ruby/rake-compiler"
+
+all_ruby_prepare() {
+ # Fix Ragel-based parser generation (uses a *very* old syntax that
+ # is not supported in Gentoo)
+ sed -i -e 's: | rlgen-cd::' Rakefile || die
+
+ # Fix specs' dependencies so that the extension is not rebuilt
+ # when running tests
+ rm rakelib/spec.rake || die
+
+ # Fix rspec version to allow newer 2.x versions
+ sed -i -e '/gem "rspec"/ s/1.2.9/3.0/ ; 2igem "rack", "<4"'
spec/spec_helper.rb || die
+
+ # Avoid CLEAN since it may not be available and we don't need it.
+ sed -i -e '/CLEAN/ s:^:#:' rakelib/*.rake || die
+
+ # Avoid a spec trying to change privileges which will not work in
+ # all Gentoo test cases.
+ sed -e '/should change privilege/ s/it/xit/' \
+ -i spec/daemonizing_spec.rb || die
+
+ sed -i \
+ -e '/tracing routines (with NO custom logger)/,/^ end/ s:^:#:'\
+ spec/logging_spec.rb || die
+
+ find spec/perf -name "*_spec.rb" -exec \
+ sed -i '/be_faster_then/ i \ skip' {} \;
+
+ sed -i -e "s/Spec::Runner/Rspec/" spec/spec_helper.rb || die
+ # nasty but too complex to fix up for now :(
+ use doc || rm rakelib/rdoc.rake
+
+ sed -e 's:_relative ": "./:' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_compile() {
+ ${RUBY} -S rake compile || die "rake compile failed"
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ keepdir /etc/thin
+ newinitd "${FILESDIR}"/${PN}.initd-r4 ${PN}
+ newconfd "${FILESDIR}"/${PN}.confd-2 ${PN}
+
+ einfo
+ elog "Thin is now shipped with init scripts."
+ elog "The default script (/etc/init.d/thin) will start all servers that
have"
+ elog "configuration files in /etc/thin/. You can symlink the init
script to"
+ elog "files of the format 'thin.SERVER' to be able to start individual
servers."
+ elog "See /etc/conf.d/thin for more configuration options."
+ einfo
+}
+
+each_ruby_install() {
+ each_fakegem_install
+
+ # Ensure that newer rubygems version see the extention as installed
+ ruby_fakegem_extensions_installed
+}